## qdbm
Class Util

    java.lang.Object
      |
      +--qdbm.Util

public class Util
extends java.lang.Object

Class of utility methods.

Method Summary
`static java.lang.Object` `deserialize(byte[] serial)` Deserialize a serialized object.
`static long` `deserializeLong(byte[] serial)` Deserialize a serialized long integer.
`static byte[]` `serialize(java.lang.Object obj)` Serialize an object.
`static byte[]` `serializeLong(long num)` Serialize a long integer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### deserialize

    public static java.lang.Object deserialize(byte[] serial)

  Deserialize a serialized object.

  Parameters:
    `serial` - a byte array of the serialized object.
  Returns:
    an original object or null if an error occurs.

### deserializeLong

    public static long deserializeLong(byte[] serial)
                                throws java.lang.IllegalArgumentException

  Deserialize a serialized long integer.

  Parameters:
    `serial` - a byte array of a serialized long integer.
  Returns:
    the long value.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the size of the array is invalid.

### serialize

    public static byte[] serialize(java.lang.Object obj)

  Serialize an object.

  Parameters:
    `obj` - a serializable object.
  Returns:
    a byte array of the serialized object or null if an error occurs.

### serializeLong

    public static byte[] serializeLong(long num)

  Serialize a long integer.

  Parameters:
    `num` - a long integer.
  Returns:
    a byte array of the serialized long integer.